Subject: Re: Using different protocols for "pull" and "push".

From: Mike Gaffney <[email-masked]>
Date: Fri, 05 Jun 2009 10:03:16 -0500

I typically set up a "push" remote when I need to do things like this. 
I've got a few projects where I get confused of which one is origin so I 
protect myself from pushing accidentally (I have to think for a second 
when pushing).

-Mike

Nikos Chantziaras wrote:
> Hi.
>
> I wonder if it's possible to setup Git (probably in .git/config) to 
> use SSH only for "git push" and use the git protocol for "git pull".  
> My current configuration is:
>
> [remote "origin"]
>         url = ssh://[email-masked]/gitroot/project
>         fetch = +refs/heads/*:refs/remotes/origin/*
>
> Issuing a "git pull" command results in pulling using SSH (along with 
> asking for a password).  Is there a way to alter the configuration so 
> that a "pull" will use git:// instead of ssh:// ?
>
> -- 
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html